<style>
    #content {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    #container {
        padding-left: 1rem !important;
        padding-right: 1rem !important;
    }
    div#header {
        display: none;
    }
    h1 {
        font-size: 1.25rem !important;
        margin-top: 2rem !important;
        margin-bottom: 2rem !important;
    }
    ul.errorlist {
        background: none !important;
        font-style: italic;
    }
    ul.select-dropdown {
        background-color: #eee;
    }
    p {
        font-size: 1rem;
        padding-bottom: 2rem;
    }
    .form-section {
        display: flex;
        background-color: silver;
        height: 3rem;
        justify-content: center;
        align-items: center;
        border-radius: 0.25rem;
        text-align: center;
        padding: 1rem;
        margin: 1rem 0 1rem 0;
        width: 37.5rem;
    }
    .form-section p {
        margin: 0;
    }
    .form-button {
        font-size: 1.25rem;
        margin: 1rem 0 1rem 0;
        width: 37.5rem;
    }
</style>

{% extends "admin/base_site.html" %}

{% load static %}
{% load i18n %}

{% block extrahead %}
    <link rel="shortcut icon" href="{% static 'images/favicon.ico' %}" />
    <link rel="stylesheet" type="text/css" href="{% static 'css/custom_admin.css' %}"/>
{% endblock %}

{% block content %}
    {% block side_nav %}
    {% endblock %}

    {% block breadcrumbs %}
    {% endblock %}

    <div style="display: flex; justify-content: center;">
        <img src="{% static 'images/dw-header.png' %}" height="60" alt="DW Akademie Logo" />
    </div>
    
    {% translate 'Confirm Password Reset' as header %}
    {% translate 'Reset' as set_password %}
    {% translate 'Confirm the data with which you were registered' as confirm_msg %}

    <div style="margin-bottom: 2rem;">
        <h4>{{ header }}</h4>
    </div>

    <form method="post">
        {% csrf_token %}
        <!-- {{ form.as_p }} -->

        <div class="form-section">
            <p>{{ confirm_msg }}</p>
        </div>
        <div>
            {{ form.new_password1.label_tag }}
            {{ form.new_password1 }}
            {% if form.new_password1.errors %}
                <ul class="errorlist">
                    {% for error in form.new_password1.errors %}
                        <li>{{ error }}</li>
                    {% endfor %}
                </ul>
            {% endif %}
        </div>
        <div>
            {{ form.new_password2.label_tag }}
            {{ form.new_password2 }}
            {% if form.new_password2.errors %}
                <ul class="errorlist">
                    {% for error in form.new_password2.errors %}
                        <li>{{ error }}</li>
                    {% endfor %}
                </ul>
            {% endif %}
        </div>

        <div style="margin-top: 1rem; font-size: 1.25rem;">
            <input style="width: 100%" type="submit" value="{{ set_password }}">
        </div>
    </form>
{% endblock %}